org.apache.maven.shared.artifact.filter

## Interface StatisticsReportingArtifactFilter

All Known Implementing Classes:
  PatternExcludesArtifactFilter, PatternIncludesArtifactFilter, ScopeArtifactFilter

    public interface StatisticsReportingArtifactFilter

### Method Summary

Methods
`boolean` `hasMissedCriteria()`
`void` `reportFilteredArtifacts(org.codehaus.plexus.logging.Logger logger)`
`void` `reportMissedCriteria(org.codehaus.plexus.logging.Logger logger)`

### Method Detail

#### reportMissedCriteria

    void reportMissedCriteria(org.codehaus.plexus.logging.Logger logger)

#### reportFilteredArtifacts

    void reportFilteredArtifacts(org.codehaus.plexus.logging.Logger logger)

#### hasMissedCriteria

    boolean hasMissedCriteria()